IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network4.16.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
4.16.0.0- Broadcast address
4.23.255.255- First usable
4.16.0.1- Last usable
4.23.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
04100000· Integer68157440to68681727 - Reverse DNS zones
16.4.in-addr.arpa17.4.in-addr.arpa18.4.in-addr.arpa19.4.in-addr.arpa20.4.in-addr.arpa21.4.in-addr.arpa22.4.in-addr.arpa23.4.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000100.00010000.00000000.00000000 | 4.16.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 00000100.00010000.00000000.00000000 | 4.16.0.0 |
| Broadcast | 00000100.00010111.11111111.11111111 | 4.23.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
4.16.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 4.16.0.0/23 | 4.16.0.1 to 4.16.1.254 | 4.16.1.255 | 510 |
| 2 | 4.16.2.0/23 | 4.16.2.1 to 4.16.3.254 | 4.16.3.255 | 510 |
| 3 | 4.16.4.0/23 | 4.16.4.1 to 4.16.5.254 | 4.16.5.255 | 510 |
| 4 | 4.16.6.0/23 | 4.16.6.1 to 4.16.7.254 | 4.16.7.255 | 510 |
| 5 | 4.16.8.0/23 | 4.16.8.1 to 4.16.9.254 | 4.16.9.255 | 510 |
| 6 | 4.16.10.0/23 | 4.16.10.1 to 4.16.11.254 | 4.16.11.255 | 510 |
| 7 | 4.16.12.0/23 | 4.16.12.1 to 4.16.13.254 | 4.16.13.255 | 510 |
| 8 | 4.16.14.0/23 | 4.16.14.1 to 4.16.15.254 | 4.16.15.255 | 510 |
| 9 | 4.16.16.0/23 | 4.16.16.1 to 4.16.17.254 | 4.16.17.255 | 510 |
| 10 | 4.16.18.0/23 | 4.16.18.1 to 4.16.19.254 | 4.16.19.255 | 510 |
| 11 | 4.16.20.0/23 | 4.16.20.1 to 4.16.21.254 | 4.16.21.255 | 510 |
| 12 | 4.16.22.0/23 | 4.16.22.1 to 4.16.23.254 | 4.16.23.255 | 510 |
| 13 | 4.16.24.0/23 | 4.16.24.1 to 4.16.25.254 | 4.16.25.255 | 510 |
| 14 | 4.16.26.0/23 | 4.16.26.1 to 4.16.27.254 | 4.16.27.255 | 510 |
| 15 | 4.16.28.0/23 | 4.16.28.1 to 4.16.29.254 | 4.16.29.255 | 510 |
| 16 | 4.16.30.0/23 | 4.16.30.1 to 4.16.31.254 | 4.16.31.255 | 510 |
| 17 | 4.16.32.0/23 | 4.16.32.1 to 4.16.33.254 | 4.16.33.255 | 510 |
| 18 | 4.16.34.0/23 | 4.16.34.1 to 4.16.35.254 | 4.16.35.255 | 510 |
| 19 | 4.16.36.0/23 | 4.16.36.1 to 4.16.37.254 | 4.16.37.255 | 510 |
| 20 | 4.16.38.0/23 | 4.16.38.1 to 4.16.39.254 | 4.16.39.255 | 510 |
| 21 | 4.16.40.0/23 | 4.16.40.1 to 4.16.41.254 | 4.16.41.255 | 510 |
| 22 | 4.16.42.0/23 | 4.16.42.1 to 4.16.43.254 | 4.16.43.255 | 510 |
| 23 | 4.16.44.0/23 | 4.16.44.1 to 4.16.45.254 | 4.16.45.255 | 510 |
| 24 | 4.16.46.0/23 | 4.16.46.1 to 4.16.47.254 | 4.16.47.255 | 510 |
| 25 | 4.16.48.0/23 | 4.16.48.1 to 4.16.49.254 | 4.16.49.255 | 510 |
| 26 | 4.16.50.0/23 | 4.16.50.1 to 4.16.51.254 | 4.16.51.255 | 510 |
| 27 | 4.16.52.0/23 | 4.16.52.1 to 4.16.53.254 | 4.16.53.255 | 510 |
| 28 | 4.16.54.0/23 | 4.16.54.1 to 4.16.55.254 | 4.16.55.255 | 510 |
| 29 | 4.16.56.0/23 | 4.16.56.1 to 4.16.57.254 | 4.16.57.255 | 510 |
| 30 | 4.16.58.0/23 | 4.16.58.1 to 4.16.59.254 | 4.16.59.255 | 510 |
| 31 | 4.16.60.0/23 | 4.16.60.1 to 4.16.61.254 | 4.16.61.255 | 510 |
| 32 | 4.16.62.0/23 | 4.16.62.1 to 4.16.63.254 | 4.16.63.255 | 510 |
| 33 | 4.16.64.0/23 | 4.16.64.1 to 4.16.65.254 | 4.16.65.255 | 510 |
| 34 | 4.16.66.0/23 | 4.16.66.1 to 4.16.67.254 | 4.16.67.255 | 510 |
| 35 | 4.16.68.0/23 | 4.16.68.1 to 4.16.69.254 | 4.16.69.255 | 510 |
| 36 | 4.16.70.0/23 | 4.16.70.1 to 4.16.71.254 | 4.16.71.255 | 510 |
| 37 | 4.16.72.0/23 | 4.16.72.1 to 4.16.73.254 | 4.16.73.255 | 510 |
| 38 | 4.16.74.0/23 | 4.16.74.1 to 4.16.75.254 | 4.16.75.255 | 510 |
| 39 | 4.16.76.0/23 | 4.16.76.1 to 4.16.77.254 | 4.16.77.255 | 510 |
| 40 | 4.16.78.0/23 | 4.16.78.1 to 4.16.79.254 | 4.16.79.255 | 510 |
| 41 | 4.16.80.0/23 | 4.16.80.1 to 4.16.81.254 | 4.16.81.255 | 510 |
| 42 | 4.16.82.0/23 | 4.16.82.1 to 4.16.83.254 | 4.16.83.255 | 510 |
| 43 | 4.16.84.0/23 | 4.16.84.1 to 4.16.85.254 | 4.16.85.255 | 510 |
| 44 | 4.16.86.0/23 | 4.16.86.1 to 4.16.87.254 | 4.16.87.255 | 510 |
| 45 | 4.16.88.0/23 | 4.16.88.1 to 4.16.89.254 | 4.16.89.255 | 510 |
| 46 | 4.16.90.0/23 | 4.16.90.1 to 4.16.91.254 | 4.16.91.255 | 510 |
| 47 | 4.16.92.0/23 | 4.16.92.1 to 4.16.93.254 | 4.16.93.255 | 510 |
| 48 | 4.16.94.0/23 | 4.16.94.1 to 4.16.95.254 | 4.16.95.255 | 510 |
| 49 | 4.16.96.0/23 | 4.16.96.1 to 4.16.97.254 | 4.16.97.255 | 510 |
| 50 | 4.16.98.0/23 | 4.16.98.1 to 4.16.99.254 | 4.16.99.255 | 510 |
| 51 | 4.16.100.0/23 | 4.16.100.1 to 4.16.101.254 | 4.16.101.255 | 510 |
| 52 | 4.16.102.0/23 | 4.16.102.1 to 4.16.103.254 | 4.16.103.255 | 510 |
| 53 | 4.16.104.0/23 | 4.16.104.1 to 4.16.105.254 | 4.16.105.255 | 510 |
| 54 | 4.16.106.0/23 | 4.16.106.1 to 4.16.107.254 | 4.16.107.255 | 510 |
| 55 | 4.16.108.0/23 | 4.16.108.1 to 4.16.109.254 | 4.16.109.255 | 510 |
| 56 | 4.16.110.0/23 | 4.16.110.1 to 4.16.111.254 | 4.16.111.255 | 510 |
| 57 | 4.16.112.0/23 | 4.16.112.1 to 4.16.113.254 | 4.16.113.255 | 510 |
| 58 | 4.16.114.0/23 | 4.16.114.1 to 4.16.115.254 | 4.16.115.255 | 510 |
| 59 | 4.16.116.0/23 | 4.16.116.1 to 4.16.117.254 | 4.16.117.255 | 510 |
| 60 | 4.16.118.0/23 | 4.16.118.1 to 4.16.119.254 | 4.16.119.255 | 510 |
| 61 | 4.16.120.0/23 | 4.16.120.1 to 4.16.121.254 | 4.16.121.255 | 510 |
| 62 | 4.16.122.0/23 | 4.16.122.1 to 4.16.123.254 | 4.16.123.255 | 510 |
| 63 | 4.16.124.0/23 | 4.16.124.1 to 4.16.125.254 | 4.16.125.255 | 510 |
| 64 | 4.16.126.0/23 | 4.16.126.1 to 4.16.127.254 | 4.16.127.255 | 510 |
| 65 | 4.16.128.0/23 | 4.16.128.1 to 4.16.129.254 | 4.16.129.255 | 510 |
| 66 | 4.16.130.0/23 | 4.16.130.1 to 4.16.131.254 | 4.16.131.255 | 510 |
| 67 | 4.16.132.0/23 | 4.16.132.1 to 4.16.133.254 | 4.16.133.255 | 510 |
| 68 | 4.16.134.0/23 | 4.16.134.1 to 4.16.135.254 | 4.16.135.255 | 510 |
| 69 | 4.16.136.0/23 | 4.16.136.1 to 4.16.137.254 | 4.16.137.255 | 510 |
| 70 | 4.16.138.0/23 | 4.16.138.1 to 4.16.139.254 | 4.16.139.255 | 510 |
| 71 | 4.16.140.0/23 | 4.16.140.1 to 4.16.141.254 | 4.16.141.255 | 510 |
| 72 | 4.16.142.0/23 | 4.16.142.1 to 4.16.143.254 | 4.16.143.255 | 510 |
| 73 | 4.16.144.0/23 | 4.16.144.1 to 4.16.145.254 | 4.16.145.255 | 510 |
| 74 | 4.16.146.0/23 | 4.16.146.1 to 4.16.147.254 | 4.16.147.255 | 510 |
| 75 | 4.16.148.0/23 | 4.16.148.1 to 4.16.149.254 | 4.16.149.255 | 510 |
| 76 | 4.16.150.0/23 | 4.16.150.1 to 4.16.151.254 | 4.16.151.255 | 510 |
| 77 | 4.16.152.0/23 | 4.16.152.1 to 4.16.153.254 | 4.16.153.255 | 510 |
| 78 | 4.16.154.0/23 | 4.16.154.1 to 4.16.155.254 | 4.16.155.255 | 510 |
| 79 | 4.16.156.0/23 | 4.16.156.1 to 4.16.157.254 | 4.16.157.255 | 510 |
| 80 | 4.16.158.0/23 | 4.16.158.1 to 4.16.159.254 | 4.16.159.255 | 510 |
| 81 | 4.16.160.0/23 | 4.16.160.1 to 4.16.161.254 | 4.16.161.255 | 510 |
| 82 | 4.16.162.0/23 | 4.16.162.1 to 4.16.163.254 | 4.16.163.255 | 510 |
| 83 | 4.16.164.0/23 | 4.16.164.1 to 4.16.165.254 | 4.16.165.255 | 510 |
| 84 | 4.16.166.0/23 | 4.16.166.1 to 4.16.167.254 | 4.16.167.255 | 510 |
| 85 | 4.16.168.0/23 | 4.16.168.1 to 4.16.169.254 | 4.16.169.255 | 510 |
| 86 | 4.16.170.0/23 | 4.16.170.1 to 4.16.171.254 | 4.16.171.255 | 510 |
| 87 | 4.16.172.0/23 | 4.16.172.1 to 4.16.173.254 | 4.16.173.255 | 510 |
| 88 | 4.16.174.0/23 | 4.16.174.1 to 4.16.175.254 | 4.16.175.255 | 510 |
| 89 | 4.16.176.0/23 | 4.16.176.1 to 4.16.177.254 | 4.16.177.255 | 510 |
| 90 | 4.16.178.0/23 | 4.16.178.1 to 4.16.179.254 | 4.16.179.255 | 510 |
| 91 | 4.16.180.0/23 | 4.16.180.1 to 4.16.181.254 | 4.16.181.255 | 510 |
| 92 | 4.16.182.0/23 | 4.16.182.1 to 4.16.183.254 | 4.16.183.255 | 510 |
| 93 | 4.16.184.0/23 | 4.16.184.1 to 4.16.185.254 | 4.16.185.255 | 510 |
| 94 | 4.16.186.0/23 | 4.16.186.1 to 4.16.187.254 | 4.16.187.255 | 510 |
| 95 | 4.16.188.0/23 | 4.16.188.1 to 4.16.189.254 | 4.16.189.255 | 510 |
| 96 | 4.16.190.0/23 | 4.16.190.1 to 4.16.191.254 | 4.16.191.255 | 510 |
| 97 | 4.16.192.0/23 | 4.16.192.1 to 4.16.193.254 | 4.16.193.255 | 510 |
| 98 | 4.16.194.0/23 | 4.16.194.1 to 4.16.195.254 | 4.16.195.255 | 510 |
| 99 | 4.16.196.0/23 | 4.16.196.1 to 4.16.197.254 | 4.16.197.255 | 510 |
| 100 | 4.16.198.0/23 | 4.16.198.1 to 4.16.199.254 | 4.16.199.255 | 510 |
| 101 | 4.16.200.0/23 | 4.16.200.1 to 4.16.201.254 | 4.16.201.255 | 510 |
| 102 | 4.16.202.0/23 | 4.16.202.1 to 4.16.203.254 | 4.16.203.255 | 510 |
| 103 | 4.16.204.0/23 | 4.16.204.1 to 4.16.205.254 | 4.16.205.255 | 510 |
| 104 | 4.16.206.0/23 | 4.16.206.1 to 4.16.207.254 | 4.16.207.255 | 510 |
| 105 | 4.16.208.0/23 | 4.16.208.1 to 4.16.209.254 | 4.16.209.255 | 510 |
| 106 | 4.16.210.0/23 | 4.16.210.1 to 4.16.211.254 | 4.16.211.255 | 510 |
| 107 | 4.16.212.0/23 | 4.16.212.1 to 4.16.213.254 | 4.16.213.255 | 510 |
| 108 | 4.16.214.0/23 | 4.16.214.1 to 4.16.215.254 | 4.16.215.255 | 510 |
| 109 | 4.16.216.0/23 | 4.16.216.1 to 4.16.217.254 | 4.16.217.255 | 510 |
| 110 | 4.16.218.0/23 | 4.16.218.1 to 4.16.219.254 | 4.16.219.255 | 510 |
| 111 | 4.16.220.0/23 | 4.16.220.1 to 4.16.221.254 | 4.16.221.255 | 510 |
| 112 | 4.16.222.0/23 | 4.16.222.1 to 4.16.223.254 | 4.16.223.255 | 510 |
| 113 | 4.16.224.0/23 | 4.16.224.1 to 4.16.225.254 | 4.16.225.255 | 510 |
| 114 | 4.16.226.0/23 | 4.16.226.1 to 4.16.227.254 | 4.16.227.255 | 510 |
| 115 | 4.16.228.0/23 | 4.16.228.1 to 4.16.229.254 | 4.16.229.255 | 510 |
| 116 | 4.16.230.0/23 | 4.16.230.1 to 4.16.231.254 | 4.16.231.255 | 510 |
| 117 | 4.16.232.0/23 | 4.16.232.1 to 4.16.233.254 | 4.16.233.255 | 510 |
| 118 | 4.16.234.0/23 | 4.16.234.1 to 4.16.235.254 | 4.16.235.255 | 510 |
| 119 | 4.16.236.0/23 | 4.16.236.1 to 4.16.237.254 | 4.16.237.255 | 510 |
| 120 | 4.16.238.0/23 | 4.16.238.1 to 4.16.239.254 | 4.16.239.255 | 510 |
| 121 | 4.16.240.0/23 | 4.16.240.1 to 4.16.241.254 | 4.16.241.255 | 510 |
| 122 | 4.16.242.0/23 | 4.16.242.1 to 4.16.243.254 | 4.16.243.255 | 510 |
| 123 | 4.16.244.0/23 | 4.16.244.1 to 4.16.245.254 | 4.16.245.255 | 510 |
| 124 | 4.16.246.0/23 | 4.16.246.1 to 4.16.247.254 | 4.16.247.255 | 510 |
| 125 | 4.16.248.0/23 | 4.16.248.1 to 4.16.249.254 | 4.16.249.255 | 510 |
| 126 | 4.16.250.0/23 | 4.16.250.1 to 4.16.251.254 | 4.16.251.255 | 510 |
| 127 | 4.16.252.0/23 | 4.16.252.1 to 4.16.253.254 | 4.16.253.255 | 510 |
| 128 | 4.16.254.0/23 | 4.16.254.1 to 4.16.255.254 | 4.16.255.255 | 510 |
| 129 | 4.17.0.0/23 | 4.17.0.1 to 4.17.1.254 | 4.17.1.255 | 510 |
| 130 | 4.17.2.0/23 | 4.17.2.1 to 4.17.3.254 | 4.17.3.255 | 510 |
| 131 | 4.17.4.0/23 | 4.17.4.1 to 4.17.5.254 | 4.17.5.255 | 510 |
| 132 | 4.17.6.0/23 | 4.17.6.1 to 4.17.7.254 | 4.17.7.255 | 510 |
| 133 | 4.17.8.0/23 | 4.17.8.1 to 4.17.9.254 | 4.17.9.255 | 510 |
| 134 | 4.17.10.0/23 | 4.17.10.1 to 4.17.11.254 | 4.17.11.255 | 510 |
| 135 | 4.17.12.0/23 | 4.17.12.1 to 4.17.13.254 | 4.17.13.255 | 510 |
| 136 | 4.17.14.0/23 | 4.17.14.1 to 4.17.15.254 | 4.17.15.255 | 510 |
| 137 | 4.17.16.0/23 | 4.17.16.1 to 4.17.17.254 | 4.17.17.255 | 510 |
| 138 | 4.17.18.0/23 | 4.17.18.1 to 4.17.19.254 | 4.17.19.255 | 510 |
| 139 | 4.17.20.0/23 | 4.17.20.1 to 4.17.21.254 | 4.17.21.255 | 510 |
| 140 | 4.17.22.0/23 | 4.17.22.1 to 4.17.23.254 | 4.17.23.255 | 510 |
| 141 | 4.17.24.0/23 | 4.17.24.1 to 4.17.25.254 | 4.17.25.255 | 510 |
| 142 | 4.17.26.0/23 | 4.17.26.1 to 4.17.27.254 | 4.17.27.255 | 510 |
| 143 | 4.17.28.0/23 | 4.17.28.1 to 4.17.29.254 | 4.17.29.255 | 510 |
| 144 | 4.17.30.0/23 | 4.17.30.1 to 4.17.31.254 | 4.17.31.255 | 510 |
| 145 | 4.17.32.0/23 | 4.17.32.1 to 4.17.33.254 | 4.17.33.255 | 510 |
| 146 | 4.17.34.0/23 | 4.17.34.1 to 4.17.35.254 | 4.17.35.255 | 510 |
| 147 | 4.17.36.0/23 | 4.17.36.1 to 4.17.37.254 | 4.17.37.255 | 510 |
| 148 | 4.17.38.0/23 | 4.17.38.1 to 4.17.39.254 | 4.17.39.255 | 510 |
| 149 | 4.17.40.0/23 | 4.17.40.1 to 4.17.41.254 | 4.17.41.255 | 510 |
| 150 | 4.17.42.0/23 | 4.17.42.1 to 4.17.43.254 | 4.17.43.255 | 510 |
| 151 | 4.17.44.0/23 | 4.17.44.1 to 4.17.45.254 | 4.17.45.255 | 510 |
| 152 | 4.17.46.0/23 | 4.17.46.1 to 4.17.47.254 | 4.17.47.255 | 510 |
| 153 | 4.17.48.0/23 | 4.17.48.1 to 4.17.49.254 | 4.17.49.255 | 510 |
| 154 | 4.17.50.0/23 | 4.17.50.1 to 4.17.51.254 | 4.17.51.255 | 510 |
| 155 | 4.17.52.0/23 | 4.17.52.1 to 4.17.53.254 | 4.17.53.255 | 510 |
| 156 | 4.17.54.0/23 | 4.17.54.1 to 4.17.55.254 | 4.17.55.255 | 510 |
| 157 | 4.17.56.0/23 | 4.17.56.1 to 4.17.57.254 | 4.17.57.255 | 510 |
| 158 | 4.17.58.0/23 | 4.17.58.1 to 4.17.59.254 | 4.17.59.255 | 510 |
| 159 | 4.17.60.0/23 | 4.17.60.1 to 4.17.61.254 | 4.17.61.255 | 510 |
| 160 | 4.17.62.0/23 | 4.17.62.1 to 4.17.63.254 | 4.17.63.255 | 510 |
| 161 | 4.17.64.0/23 | 4.17.64.1 to 4.17.65.254 | 4.17.65.255 | 510 |
| 162 | 4.17.66.0/23 | 4.17.66.1 to 4.17.67.254 | 4.17.67.255 | 510 |
| 163 | 4.17.68.0/23 | 4.17.68.1 to 4.17.69.254 | 4.17.69.255 | 510 |
| 164 | 4.17.70.0/23 | 4.17.70.1 to 4.17.71.254 | 4.17.71.255 | 510 |
| 165 | 4.17.72.0/23 | 4.17.72.1 to 4.17.73.254 | 4.17.73.255 | 510 |
| 166 | 4.17.74.0/23 | 4.17.74.1 to 4.17.75.254 | 4.17.75.255 | 510 |
| 167 | 4.17.76.0/23 | 4.17.76.1 to 4.17.77.254 | 4.17.77.255 | 510 |
| 168 | 4.17.78.0/23 | 4.17.78.1 to 4.17.79.254 | 4.17.79.255 | 510 |
| 169 | 4.17.80.0/23 | 4.17.80.1 to 4.17.81.254 | 4.17.81.255 | 510 |
| 170 | 4.17.82.0/23 | 4.17.82.1 to 4.17.83.254 | 4.17.83.255 | 510 |
| 171 | 4.17.84.0/23 | 4.17.84.1 to 4.17.85.254 | 4.17.85.255 | 510 |
| 172 | 4.17.86.0/23 | 4.17.86.1 to 4.17.87.254 | 4.17.87.255 | 510 |
| 173 | 4.17.88.0/23 | 4.17.88.1 to 4.17.89.254 | 4.17.89.255 | 510 |
| 174 | 4.17.90.0/23 | 4.17.90.1 to 4.17.91.254 | 4.17.91.255 | 510 |
| 175 | 4.17.92.0/23 | 4.17.92.1 to 4.17.93.254 | 4.17.93.255 | 510 |
| 176 | 4.17.94.0/23 | 4.17.94.1 to 4.17.95.254 | 4.17.95.255 | 510 |
| 177 | 4.17.96.0/23 | 4.17.96.1 to 4.17.97.254 | 4.17.97.255 | 510 |
| 178 | 4.17.98.0/23 | 4.17.98.1 to 4.17.99.254 | 4.17.99.255 | 510 |
| 179 | 4.17.100.0/23 | 4.17.100.1 to 4.17.101.254 | 4.17.101.255 | 510 |
| 180 | 4.17.102.0/23 | 4.17.102.1 to 4.17.103.254 | 4.17.103.255 | 510 |
| 181 | 4.17.104.0/23 | 4.17.104.1 to 4.17.105.254 | 4.17.105.255 | 510 |
| 182 | 4.17.106.0/23 | 4.17.106.1 to 4.17.107.254 | 4.17.107.255 | 510 |
| 183 | 4.17.108.0/23 | 4.17.108.1 to 4.17.109.254 | 4.17.109.255 | 510 |
| 184 | 4.17.110.0/23 | 4.17.110.1 to 4.17.111.254 | 4.17.111.255 | 510 |
| 185 | 4.17.112.0/23 | 4.17.112.1 to 4.17.113.254 | 4.17.113.255 | 510 |
| 186 | 4.17.114.0/23 | 4.17.114.1 to 4.17.115.254 | 4.17.115.255 | 510 |
| 187 | 4.17.116.0/23 | 4.17.116.1 to 4.17.117.254 | 4.17.117.255 | 510 |
| 188 | 4.17.118.0/23 | 4.17.118.1 to 4.17.119.254 | 4.17.119.255 | 510 |
| 189 | 4.17.120.0/23 | 4.17.120.1 to 4.17.121.254 | 4.17.121.255 | 510 |
| 190 | 4.17.122.0/23 | 4.17.122.1 to 4.17.123.254 | 4.17.123.255 | 510 |
| 191 | 4.17.124.0/23 | 4.17.124.1 to 4.17.125.254 | 4.17.125.255 | 510 |
| 192 | 4.17.126.0/23 | 4.17.126.1 to 4.17.127.254 | 4.17.127.255 | 510 |
| 193 | 4.17.128.0/23 | 4.17.128.1 to 4.17.129.254 | 4.17.129.255 | 510 |
| 194 | 4.17.130.0/23 | 4.17.130.1 to 4.17.131.254 | 4.17.131.255 | 510 |
| 195 | 4.17.132.0/23 | 4.17.132.1 to 4.17.133.254 | 4.17.133.255 | 510 |
| 196 | 4.17.134.0/23 | 4.17.134.1 to 4.17.135.254 | 4.17.135.255 | 510 |
| 197 | 4.17.136.0/23 | 4.17.136.1 to 4.17.137.254 | 4.17.137.255 | 510 |
| 198 | 4.17.138.0/23 | 4.17.138.1 to 4.17.139.254 | 4.17.139.255 | 510 |
| 199 | 4.17.140.0/23 | 4.17.140.1 to 4.17.141.254 | 4.17.141.255 | 510 |
| 200 | 4.17.142.0/23 | 4.17.142.1 to 4.17.143.254 | 4.17.143.255 | 510 |
| 201 | 4.17.144.0/23 | 4.17.144.1 to 4.17.145.254 | 4.17.145.255 | 510 |
| 202 | 4.17.146.0/23 | 4.17.146.1 to 4.17.147.254 | 4.17.147.255 | 510 |
| 203 | 4.17.148.0/23 | 4.17.148.1 to 4.17.149.254 | 4.17.149.255 | 510 |
| 204 | 4.17.150.0/23 | 4.17.150.1 to 4.17.151.254 | 4.17.151.255 | 510 |
| 205 | 4.17.152.0/23 | 4.17.152.1 to 4.17.153.254 | 4.17.153.255 | 510 |
| 206 | 4.17.154.0/23 | 4.17.154.1 to 4.17.155.254 | 4.17.155.255 | 510 |
| 207 | 4.17.156.0/23 | 4.17.156.1 to 4.17.157.254 | 4.17.157.255 | 510 |
| 208 | 4.17.158.0/23 | 4.17.158.1 to 4.17.159.254 | 4.17.159.255 | 510 |
| 209 | 4.17.160.0/23 | 4.17.160.1 to 4.17.161.254 | 4.17.161.255 | 510 |
| 210 | 4.17.162.0/23 | 4.17.162.1 to 4.17.163.254 | 4.17.163.255 | 510 |
| 211 | 4.17.164.0/23 | 4.17.164.1 to 4.17.165.254 | 4.17.165.255 | 510 |
| 212 | 4.17.166.0/23 | 4.17.166.1 to 4.17.167.254 | 4.17.167.255 | 510 |
| 213 | 4.17.168.0/23 | 4.17.168.1 to 4.17.169.254 | 4.17.169.255 | 510 |
| 214 | 4.17.170.0/23 | 4.17.170.1 to 4.17.171.254 | 4.17.171.255 | 510 |
| 215 | 4.17.172.0/23 | 4.17.172.1 to 4.17.173.254 | 4.17.173.255 | 510 |
| 216 | 4.17.174.0/23 | 4.17.174.1 to 4.17.175.254 | 4.17.175.255 | 510 |
| 217 | 4.17.176.0/23 | 4.17.176.1 to 4.17.177.254 | 4.17.177.255 | 510 |
| 218 | 4.17.178.0/23 | 4.17.178.1 to 4.17.179.254 | 4.17.179.255 | 510 |
| 219 | 4.17.180.0/23 | 4.17.180.1 to 4.17.181.254 | 4.17.181.255 | 510 |
| 220 | 4.17.182.0/23 | 4.17.182.1 to 4.17.183.254 | 4.17.183.255 | 510 |
| 221 | 4.17.184.0/23 | 4.17.184.1 to 4.17.185.254 | 4.17.185.255 | 510 |
| 222 | 4.17.186.0/23 | 4.17.186.1 to 4.17.187.254 | 4.17.187.255 | 510 |
| 223 | 4.17.188.0/23 | 4.17.188.1 to 4.17.189.254 | 4.17.189.255 | 510 |
| 224 | 4.17.190.0/23 | 4.17.190.1 to 4.17.191.254 | 4.17.191.255 | 510 |
| 225 | 4.17.192.0/23 | 4.17.192.1 to 4.17.193.254 | 4.17.193.255 | 510 |
| 226 | 4.17.194.0/23 | 4.17.194.1 to 4.17.195.254 | 4.17.195.255 | 510 |
| 227 | 4.17.196.0/23 | 4.17.196.1 to 4.17.197.254 | 4.17.197.255 | 510 |
| 228 | 4.17.198.0/23 | 4.17.198.1 to 4.17.199.254 | 4.17.199.255 | 510 |
| 229 | 4.17.200.0/23 | 4.17.200.1 to 4.17.201.254 | 4.17.201.255 | 510 |
| 230 | 4.17.202.0/23 | 4.17.202.1 to 4.17.203.254 | 4.17.203.255 | 510 |
| 231 | 4.17.204.0/23 | 4.17.204.1 to 4.17.205.254 | 4.17.205.255 | 510 |
| 232 | 4.17.206.0/23 | 4.17.206.1 to 4.17.207.254 | 4.17.207.255 | 510 |
| 233 | 4.17.208.0/23 | 4.17.208.1 to 4.17.209.254 | 4.17.209.255 | 510 |
| 234 | 4.17.210.0/23 | 4.17.210.1 to 4.17.211.254 | 4.17.211.255 | 510 |
| 235 | 4.17.212.0/23 | 4.17.212.1 to 4.17.213.254 | 4.17.213.255 | 510 |
| 236 | 4.17.214.0/23 | 4.17.214.1 to 4.17.215.254 | 4.17.215.255 | 510 |
| 237 | 4.17.216.0/23 | 4.17.216.1 to 4.17.217.254 | 4.17.217.255 | 510 |
| 238 | 4.17.218.0/23 | 4.17.218.1 to 4.17.219.254 | 4.17.219.255 | 510 |
| 239 | 4.17.220.0/23 | 4.17.220.1 to 4.17.221.254 | 4.17.221.255 | 510 |
| 240 | 4.17.222.0/23 | 4.17.222.1 to 4.17.223.254 | 4.17.223.255 | 510 |
| 241 | 4.17.224.0/23 | 4.17.224.1 to 4.17.225.254 | 4.17.225.255 | 510 |
| 242 | 4.17.226.0/23 | 4.17.226.1 to 4.17.227.254 | 4.17.227.255 | 510 |
| 243 | 4.17.228.0/23 | 4.17.228.1 to 4.17.229.254 | 4.17.229.255 | 510 |
| 244 | 4.17.230.0/23 | 4.17.230.1 to 4.17.231.254 | 4.17.231.255 | 510 |
| 245 | 4.17.232.0/23 | 4.17.232.1 to 4.17.233.254 | 4.17.233.255 | 510 |
| 246 | 4.17.234.0/23 | 4.17.234.1 to 4.17.235.254 | 4.17.235.255 | 510 |
| 247 | 4.17.236.0/23 | 4.17.236.1 to 4.17.237.254 | 4.17.237.255 | 510 |
| 248 | 4.17.238.0/23 | 4.17.238.1 to 4.17.239.254 | 4.17.239.255 | 510 |
| 249 | 4.17.240.0/23 | 4.17.240.1 to 4.17.241.254 | 4.17.241.255 | 510 |
| 250 | 4.17.242.0/23 | 4.17.242.1 to 4.17.243.254 | 4.17.243.255 | 510 |
| 251 | 4.17.244.0/23 | 4.17.244.1 to 4.17.245.254 | 4.17.245.255 | 510 |
| 252 | 4.17.246.0/23 | 4.17.246.1 to 4.17.247.254 | 4.17.247.255 | 510 |
| 253 | 4.17.248.0/23 | 4.17.248.1 to 4.17.249.254 | 4.17.249.255 | 510 |
| 254 | 4.17.250.0/23 | 4.17.250.1 to 4.17.251.254 | 4.17.251.255 | 510 |
| 255 | 4.17.252.0/23 | 4.17.252.1 to 4.17.253.254 | 4.17.253.255 | 510 |
| 256 | 4.17.254.0/23 | 4.17.254.1 to 4.17.255.254 | 4.17.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |